clear all;
close all;
%-------------------------------------------------------------------------------------------
X = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];
 
Xrow = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];

Ycol = [142.5 143.3125 144.125 144.9375 145.75 146.5625 147.375 148.1875 149 149.8125 150.625 151.4375 152.25 153.0625 153.875 154.6875 155.5];
 
Y = [Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol]*10^9;

x = reshape(X,17,17)';

y = reshape(Y,17,17)';

z = [
0.000501287	0.000520877	0.000542916	0.000567833	0.000596163	0.000628583	0.000665964	0.000709441	0.000760528	0.000821285	0.000894597	0.000984619	0.00109758	0.00124326	0.00143792	0.0017108	0.00212024;
0.000501056	0.000520652	0.000542698	0.000567621	0.000595956	0.000628382	0.000665767	0.000709249	0.00076034	0.000821101	0.000894414	0.000984438	0.0010974	0.00124308	0.00143774	0.00171061	0.00212005;
0.000500832	0.000520436	0.000542487	0.000567417	0.000595758	0.00062819	0.000665581	0.000709067	0.000760162	0.000820926	0.000894243	0.000984269	0.00109723	0.00124291	0.00143757	0.00171044	0.00211988;
0.000500616	0.000520227	0.000542285	0.000567221	0.000595569	0.000628006	0.000665402	0.000708894	0.000759994	0.000820763	0.000894083	0.000984113	0.00109708	0.00124276	0.00143742	0.00171029	0.00211972;
0.000500408	0.000520025	0.000542091	0.000567033	0.000595387	0.000627831	0.000665233	0.00070873	0.000759835	0.000820609	0.000893933	0.000983966	0.00109694	0.00124262	0.00143728	0.00171015	0.00211959;
0.000500207	0.000519832	0.000541904	0.000566853	0.000595214	0.000627664	0.000665072	0.000708575	0.000759685	0.000820464	0.000893794	0.000983831	0.00109681	0.00124249	0.00143716	0.00171004	0.00211948;
0.000500014	0.000519646	0.000541725	0.000566681	0.000595049	0.000627505	0.000664919	0.000708428	0.000759545	0.00082033	0.000893664	0.000983707	0.00109669	0.00124238	0.00143705	0.00170994	0.00211939;
0.000499828	0.000519467	0.000541554	0.000566517	0.000594891	0.000627354	0.000664775	0.000708291	0.000759414	0.000820205	0.000893545	0.000983595	0.00109658	0.00124228	0.00143696	0.00170985	0.00211932;
0.000499649	0.000519295	0.000541389	0.000566359	0.000594741	0.000627211	0.00066464	0.000708162	0.000759291	0.000820089	0.000893437	0.000983492	0.00109649	0.00124219	0.00143688	0.00170979	0.00211927;
0.000499477	0.000519131	0.000541233	0.00056621	0.000594599	0.000627076	0.000664512	0.000708041	0.000759177	0.000819982	0.000893337	0.0009834	0.0010964	0.00124212	0.00143681	0.00170973	0.00211924;
0.000499312	0.000518974	0.000541083	0.000566068	0.000594464	0.000626948	0.000664391	0.000707929	0.000759072	0.000819885	0.000893248	0.000983319	0.00109633	0.00124205	0.00143676	0.0017097	0.00211923;
0.000499154	0.000518823	0.00054094	0.000565933	0.000594336	0.000626829	0.000664279	0.000707824	0.000758976	0.000819796	0.000893167	0.000983247	0.00109627	0.001242	0.00143673	0.00170968	0.00211924;
0.000499003	0.00051868	0.000540804	0.000565804	0.000594216	0.000626716	0.000664175	0.000707727	0.000758887	0.000819716	0.000893096	0.000983186	0.00109622	0.00124196	0.0014367	0.00170968	0.00211927;
0.000498858	0.000518543	0.000540675	0.000565683	0.000594103	0.000626611	0.000664078	0.000707638	0.000758807	0.000819645	0.000893034	0.000983134	0.00109618	0.00124194	0.00143669	0.00170969	0.00211931;
0.00049872	0.000518412	0.000540552	0.000565569	0.000593997	0.000626513	0.000663988	0.000707558	0.000758735	0.000819581	0.000892981	0.000983092	0.00109615	0.00124192	0.00143669	0.00170972	0.00211937;
0.000498588	0.000518288	0.000540436	0.000565461	0.000593898	0.000626422	0.000663906	0.000707484	0.000758671	0.000819528	0.000892937	0.000983059	0.00109613	0.00124192	0.00143671	0.00170976	0.00211945;
0.000498461	0.000518171	0.000540327	0.00056536	0.000593805	0.000626338	0.000663831	0.000707418	0.000758615	0.000819481	0.000892902	0.000983036	0.00109612	0.00124193	0.00143674	0.00170981	0.00211955];

%-------------------------------------------------------------------------------------------
% Plot: lambda(E,nu)
figure(1)
% tiledlayout(2,1)
% % Top plot
% ax1 = nexttile;
% stem(ax1,y,z)

% % Bottom plot
% ax2 = nexttile;  
% stem3(ax2,x,y,z,'MarkerFaceColor','r')

stem3(x,y,z,...
    'LineStyle','--',...
    'Marker','^',...
    'MarkerEdgeColor','[0.8500 0.3250 0.0980]',...
    'MarkerFaceColor','[0.8500 0.3250 0.0980]')

zlim([0.0003 0.00212024])
ylim([142E9 156E9])
xlim([0.3 0.46])

xticks([0.30 0.32 0.35 0.38 0.40 0.43 0.46])
yticks([142.5E9 145E9 147E9 150E9 152E9 155.5E9])
zticks([0.000498461 0.00075 0.00100 0.00125 0.00150 0.00175 0.00212024])

title('Strain energy density $\mathcal{E}(E,\nu)$ - Low load - noDoped-60Ta-LLZO','interpreter','latex','FontSize',12);
ylabel('Young $E \ [N/m^2]$','interpreter','latex','FontSize',12); 
xlabel('Poisson $\nu \ [-]$','interpreter','latex','FontSize',12);
zlabel('$\mathcal{E} (E,\nu)$','interpreter','latex','FontSize',12);

set(gca,'TickLabelInterpreter','latex');
view([37 46]);
% pure view of E
% view([90 0]);
% pure view of nu
% view([0 0]);
grid on
set(gcf,'renderer','Painters')
print -depsc -tiff -r300 -painters Lowload_60TaDoped_strainenergy_LLZO_48e_fAl.eps
print -dpng Lowload_60TaDoped_strainenergy_LLZO_48e_fAl.png